Bug 1122286 - [abrt] WARNING: CPU: 0 PID: 10732 at drivers/media/v4l2-core/videobuf2-core.c:2011 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 0 PID: 10732 at drivers/media/v4l2-core/videobuf2-core.c...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:39c06f1d5a7624294e024314625...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:48 UTC by Felipe van Schaik Willig
Modified: 2015-06-29 21:41 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:59 UTC
kernel-team: needinfo?


Attachments (Terms of Use)
File: dmesg (141.50 KB, text/plain)
2014-07-22 20:48 UTC, Felipe van Schaik Willig
no flags Details

Description Felipe van Schaik Willig 2014-07-22 20:48:20 UTC
Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 0 PID: 10732 at drivers/media/v4l2-core/videobuf2-core.c:2011 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
Modules linked in: rfcomm ipt_MASQUERADE xt_CHECKSUM bnep ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw nls_utf8 hfsplus arc4 b43 mac80211 cfg80211 btusb bluetooth ssb rfkill uvcvideo hid_appleir videobuf2_vmalloc videobuf2_memops videobuf2_core iTCO_wdt videodev iTCO_vendor_support joydev x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel applesmc bcm5974 input_polldev media microcode snd_hda_codec_hdmi snd_hda_codec_cirrus snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 sdhci_pci snd_pcm sdhci mmc_core bcma snd_timer snd mei_me lpc_ich mei soundcore shpchp mfd_core sbs sbshc apple_gmux apple_bl nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm firewire_ohci firewire_core crc_itu_t i2c_core tg3 ptp pps_core video
CPU: 0 PID: 10732 Comm: hipchat.bin Not tainted 3.15.6-200.fc20.x86_64 #1
Hardware name: Apple Inc. MacBookPro9,2/Mac-6F01561E16C75D06, BIOS MBP91.88Z.00D3.B08.1208081132 08/08/2012
 0000000000000000 0000000033ca22f0 ffff8801d1c47be0 ffffffff816ef48e
 0000000000000000 ffff8801d1c47c18 ffffffff8108933d 0000000000000000
 ffff880089d042e8 0000000000000000 ffff880089d040d8 ffff8802613ca600
Call Trace:
 [<ffffffff816ef48e>] dump_stack+0x45/0x56
 [<ffffffff8108933d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108946a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04ae4c6>] __vb2_queue_cancel+0x116/0x180 [videobuf2_core]
 [<ffffffffa04afa95>] vb2_internal_streamoff+0x25/0x60 [videobuf2_core]
 [<ffffffffa04afafd>] vb2_streamoff+0x2d/0x50 [videobuf2_core]
 [<ffffffffa04bc435>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
 [<ffffffffa04c133a>] uvc_video_enable+0x4a/0x1b0 [uvcvideo]
 [<ffffffffa04bdca8>] uvc_v4l2_do_ioctl+0x8a8/0x1620 [uvcvideo]
 [<ffffffff810fa810>] ? futex_wait+0x1a0/0x270
 [<ffffffffa0483b4e>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa04bd400>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
 [<ffffffff810faa61>] ? futex_wake+0x81/0x170
 [<ffffffffa04bc7df>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
 [<ffffffffa047d71b>] v4l2_ioctl+0x11b/0x150 [videodev]
 [<ffffffff811f97d0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811f9a11>] SyS_ioctl+0x81/0xa0
 [<ffffffff8111fba6>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ff4e9>] system_call_fastpath+0x16/0x1b

Comment 1 Felipe van Schaik Willig 2014-07-22 20:48:26 UTC
Created attachment 920048 [details]
File: dmesg

Comment 2 pdimitrov 2014-08-27 16:41:05 UTC
Description of problem:
I used Keyboard interrupt while having my WebCam on.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.15.10-200.fc20.x86_64 root=/dev/mapper/vg_ssd-root ro rd.lvm.lv=vg_ssd/swap rd.lvm.lv=vg_ssd/root vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.15.10-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 11150 at drivers/media/v4l2-core/videobuf2-core.c:2011 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
------------[ cut here ]------------
WARNING: CPU: 6 PID: 11150 at drivers/media/v4l2-core/videobuf2-core.c:2011 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
Modules linked in: dm_crypt ccm fuse ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 rtsx_pci_ms rtsx_pci_sdmmc mmc_core iTCO_wdt iTCO_vendor_support memstick x86_pkg_temp_thermal coretemp snd_hda_codec_conexant kvm_intel snd_hda_codec_hdmi iwlmvm mac80211 kvm snd_hda_codec_generic crct10dif_pclmul uvcvideo videobuf2_vmalloc videobuf2_memops crc32_pclmul crc32c_intel snd_hda_intel snd_hda_controller ghash_clmulni_intel snd_hda_codec joydev videobuf2_core videodev snd_hwdep serio_raw snd_seq media iwlwifi microcode i2c_i801 snd_seq_device btusb snd_pcm bluetooth cfg80211 rtsx_pci lpc_ich mfd_core mei_me snd_timer mei shpchp thinkpad_acpi snd soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm r8169 mii i2c_core wmi video
CPU: 6 PID: 11150 Comm: python Not tainted 3.15.10-200.fc20.x86_64 #1
Hardware name: LENOVO 20C60078BM/20C60078BM, BIOS J9ET88WW (2.08 ) 05/20/2014
 0000000000000000 000000003f3125c1 ffff88019f53bbe0 ffffffff816ef9c8
 0000000000000000 ffff88019f53bc18 ffffffff8108931d 0000000000000000
 ffff8800ca520ae8 0000000000000000 ffff8800ca5208d8 ffff8800ca5a1600
Call Trace:
 [<ffffffff816ef9c8>] dump_stack+0x45/0x56
 [<ffffffff8108931d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108944a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04d74c6>] __vb2_queue_cancel+0x116/0x180 [videobuf2_core]
 [<ffffffffa04d8a95>] vb2_internal_streamoff+0x25/0x60 [videobuf2_core]
 [<ffffffffa04d8afd>] vb2_streamoff+0x2d/0x50 [videobuf2_core]
 [<ffffffffa04f3435>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
 [<ffffffffa04f8431>] uvc_video_enable+0x141/0x1b0 [uvcvideo]
 [<ffffffffa04f50d7>] uvc_v4l2_do_ioctl+0xcd7/0x1620 [uvcvideo]
 [<ffffffff811aeee2>] ? remap_vmalloc_range_partial+0x92/0xd0
 [<ffffffff811a3d8e>] ? vma_gap_callbacks_rotate+0x1e/0x30
 [<ffffffff813537ff>] ? __rb_insert_augmented+0x8f/0x1f0
 [<ffffffffa04b7b4e>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa04f4400>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
 [<ffffffffa04f37df>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
 [<ffffffffa04b171b>] v4l2_ioctl+0x11b/0x150 [videodev]
 [<ffffffff811f9ac0>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff811f9d01>] SyS_ioctl+0x81/0xa0
 [<ffffffff8111fc16>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff816ffae9>] system_call_fastpath+0x16/0x1b

Comment 3 Gabriele Svelto 2014-09-04 10:22:58 UTC
I hit this issue while using a Microsoft LifeCam VX-800 webcam during a Vidyo call. Not sure what exactly triggered the bug though.

Comment 4 Jan Vlug 2014-09-23 21:31:46 UTC
Description of problem:
probably related to a video chat with jitsi

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.16.2-200.fc20.x86_64 root=UUID=7b53028e-a822-44b0-9435-798c97be7d6c ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=NewVolumeGroup/NewSwapVolume KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=HomeVolumeGroup/SwapVolume2 rhgb quiet
kernel:         3.16.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 13061 at drivers/media/v4l2-core/videobuf2-core.c:2115 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
------------[ cut here ]------------
Modules linked in: snd_usb_audio snd_usbmidi_lib snd_rawmidi pwc videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media rfcomm fuse btusb ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT bnep bluetooth xt_conntrack cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw ppdev iTCO_wdt gpio_ich iTCO_vendor_support coretemp snd_hda_codec_realtek kvm_intel snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_controller kvm snd_hda_codec lpc_ich snd_hwdep mfd_core snd_seq snd_seq_device snd_pcm i2c_i801 atl1 mii microcode parport_pc snd_timer parport shpchp serio_raw snd soundcore asus_atk0110 acpi_cpufreq uas usb_storage radeon i2c_algo_bit ata_generic drm_kms_helper ttm pata_acpi drm i2c_core
CPU: 2 PID: 13061 Comm: java Not tainted 3.16.2-200.fc20.x86_64 #1
Hardware name: System manufacturer System Product Name/P5B-MX, BIOS 0704    06/26/2008
 0000000000000000 0000000002d95f32 ffff880015413c10 ffffffff81706ce1
 0000000000000000 ffff880015413c48 ffffffff8108d0ad 0000000000000000
 0000000000000001 0000000000000000 ffff8800062b04b8 0000000000000000
Call Trace:
 [<ffffffff81706ce1>] dump_stack+0x45/0x56
 [<ffffffff8108d0ad>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108d1da>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0650726>] __vb2_queue_cancel+0x116/0x180 [videobuf2_core]
 [<ffffffffa0651e65>] vb2_internal_streamoff+0x35/0x90 [videobuf2_core]
 [<ffffffffa0651ef5>] vb2_streamoff+0x35/0x60 [videobuf2_core]
 [<ffffffffa0651f68>] vb2_ioctl_streamoff+0x48/0x50 [videobuf2_core]
 [<ffffffffa062aa5a>] v4l_streamoff+0x1a/0x20 [videodev]
 [<ffffffffa062e50c>] __video_do_ioctl+0x2cc/0x360 [videodev]
 [<ffffffffa062fb4e>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa062e240>] ? v4l_dqevent+0x20/0x20 [videodev]
 [<ffffffff81059d6c>] ? __do_page_fault+0x21c/0x540
 [<ffffffffa062fee5>] video_ioctl2+0x15/0x20 [videodev]
 [<ffffffffa062971b>] v4l2_ioctl+0x11b/0x150 [videodev]
 [<ffffffff81206820>] do_vfs_ioctl+0x2e0/0x4a0
 [<ffffffff81206a61>] SyS_ioctl+0x81/0xa0
 [<ffffffff8170e329>] system_call_fastpath+0x16/0x1b

Comment 5 Radoslav Husar 2014-09-30 10:12:02 UTC
About 2 months ago I started to frequently run into this issue when I use 64-bit Google Hangouts in 64-bit Google Chrome on Fedora 20.

Comment 6 Jonathon Poppleton 2014-10-27 05:45:19 UTC
Description of problem:
I enabled webcam in skype when the kernel crash appeared

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.16.6-200.fc20.x86_64 root=UUID=92476de1-87d1-45a0-a6d4-a3efbd41205e ro LANG=en_AU.UTF-8
kernel:         3.16.6-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1852 at drivers/media/v4l2-core/videobuf2-core.c:2123 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
uvcvideo: Failed to set UVC commit control : -71 (exp. 26).
------------[ cut here ]------------
WARNING: CPU: 0 PID: 1852 at drivers/media/v4l2-core/videobuf2-core.c:2123 __vb2_queue_cancel+0x116/0x180 [videobuf2_core]()
Modules linked in: bnep bluetooth cfg80211 rfkill ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw binfmt_misc fuse usblp uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core ses v4l2_common x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_usb_audio snd_usbmidi_lib snd_rawmidi videodev enclosure ppdev media snd_hda_codec_realtek snd_hda_codec_generic microcode snd_hda_codec_hdmi serio_raw snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm mei_me mei snd_timer shpchp snd soundcore parport_pc parport i2c_hid i2c_designware_platform tpm_tis dw_dmac i2c_designware_core tpm_infineon dw_dmac_core tpm acpi_pad nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm r8169 mii i2c_core sdhci_acpi sdhci video mmc_core uas usb_storage
CPU: 0 PID: 1852 Comm: skype Not tainted 3.16.6-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. H97M-D3H/H97M-D3H, BIOS F4 06/28/2014
 0000000000000000 0000000078f51672 ffff880036fc7a18 ffffffff81707d45
 0000000000000000 ffff880036fc7a50 ffffffff8108d0bd 0000000000000000
 ffff8803fece22f0 0000000000000000 ffff8803fece20d8 ffff8800370e0200
Call Trace:
 [<ffffffff81707d45>] dump_stack+0x45/0x56
 [<ffffffff8108d0bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108d1ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa03cd706>] __vb2_queue_cancel+0x116/0x180 [videobuf2_core]
 [<ffffffffa03cee4d>] vb2_internal_streamoff+0x3d/0xd0 [videobuf2_core]
 [<ffffffffa03cef15>] vb2_streamoff+0x35/0x60 [videobuf2_core]
 [<ffffffffa040f405>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
 [<ffffffffa0414421>] uvc_video_enable+0x141/0x1b0 [uvcvideo]
 [<ffffffffa04110a7>] uvc_v4l2_do_ioctl+0xcd7/0x1620 [uvcvideo]
 [<ffffffffa046fb4e>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa04103d0>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
 [<ffffffff811e9b66>] ? mem_cgroup_update_page_stat+0x16/0x50
 [<ffffffffa040f7af>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
 [<ffffffffa046971b>] v4l2_ioctl+0x11b/0x150 [videodev]
 [<ffffffffa04792aa>] do_video_ioctl+0x26a/0x14d0 [videodev]
 [<ffffffff811b0b2e>] ? vma_gap_callbacks_rotate+0x1e/0x30
 [<ffffffff811b0c38>] ? __vma_link_file+0x48/0x70
 [<ffffffff811b18a5>] ? vma_link+0x85/0xd0
 [<ffffffff812f4a07>] ? inode_has_perm.isra.32+0x27/0x30
 [<ffffffff812f4b66>] ? file_has_perm+0xa6/0xb0
 [<ffffffffa047a582>] v4l2_compat_ioctl32+0x72/0xb0 [videodev]
 [<ffffffff812451d0>] compat_SyS_ioctl+0xf0/0x11e0
 [<ffffffff81711a9c>] sysenter_dispatch+0x7/0x21

Comment 7 scd 2014-11-12 12:55:05 UTC
Description of problem:
Sorry don't know -- might be attaching an endoscope camera to USB port.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.x86_64 root=UUID=fe3d62ae-4873-4ac7-9319-8d34af0c1493 ro rootflags=subvol=root vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 19353 at drivers/media/v4l2-core/videobuf2-core.c:2144 __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]()
Modules linked in: tcp_lp hidp ccm rfcomm fuse ipt_MASQUERADE xt_CHECKSUM pppoe pppox tun ppp_generic slhc ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep usb_storage arc4 rtsx_pci_sdmmc x86_pkg_temp_thermal rtsx_pci_ms mmc_core memstick coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi kvm crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_intel iwlmvm snd_hda_controller mac80211 ghash_clmulni_intel snd_hda_codec snd_hwdep joydev snd_seq uvcvideo serio_raw
iwlwifi i2c_i801 videobuf2_vmalloc snd_seq_device videobuf2_memops videobuf2_core v4l2_common btusb videodev bluetooth rtsx_pci snd_pcm media mfd_core cfg80211 thinkpad_acpi e1000e tpm_tis rfkill snd_timer tpm ptp snd mei_me soundcore shpchp pps_core mei nfsd binfmt_misc auth_rpcgss nfs_acl lockd sunrpc btrfs xor raid6_pq i915 nouveau mxm_wmi ttm i2c_algo_bit drm_kms_helper drm wmi video
CPU: 1 PID: 19353 Comm: video_source:sr Not tainted 3.17.2-200.fc20.x86_64 #1
Hardware name: LENOVO 20AQCTO1WW/20AQCTO1WW, BIOS GJET78WW (2.28 ) 07/29/2014
0000000000000000 000000004b3ba2f5 ffff88002783bbd8 ffffffff817271cc
0000000000000000 ffff88002783bc10 ffffffff81094ced 0000000000000000
ffff8800950f52f0 0000000000000000 ffff8800950f50d8 ffff880022825a00
Call Trace:
[<ffffffff817271cc>] dump_stack+0x45/0x56
[<ffffffff81094ced>] warn_slowpath_common+0x7d/0xa0
[<ffffffff81094e1a>] warn_slowpath_null+0x1a/0x20
[<ffffffffa06de74e>] __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]
[<ffffffffa06dff8d>] vb2_internal_streamoff+0x3d/0xd0 [videobuf2_core]
[<ffffffffa06e0055>] vb2_streamoff+0x35/0x60 [videobuf2_core]
[<ffffffffa071d3f5>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
[<ffffffffa0722411>] uvc_video_enable+0x141/0x1b0 [uvcvideo]
[<ffffffffa071f097>] uvc_v4l2_do_ioctl+0xcd7/0x1620 [uvcvideo]
[<ffffffff811c9c72>] ? remap_vmalloc_range_partial+0x92/0xd0
[<ffffffffa05f6094>] ? vb2_vmalloc_mmap+0x54/0x90 [videobuf2_vmalloc]
[<ffffffffa06bcfde>] video_usercopy+0x22e/0x5b0 [videodev]
[<ffffffffa071e3c0>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
[<ffffffffa071d79f>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
[<ffffffffa06b671b>] v4l2_ioctl+0x11b/0x150 [videodev]
[<ffffffff81214830>] do_vfs_ioctl+0x2e0/0x4a0
[<ffffffff81214a71>] SyS_ioctl+0x81/0xa0
[<ffffffff81131116>] ? __audit_syscall_exit+0x1f6/0x2a0
[<ffffffff8172e869>] system_call_fastpath+0x16/0x1b

Comment 8 scd 2014-11-12 13:45:12 UTC
Ok, can reproduce it:
o Attach USB endoscopic camera identified by lsusb as 090c:037c
o Start cheese -d /dev/video1 (video0 is internal webcam)
=> crash

This is a Lenovo T440s notebook -- strange is that the USB camera works fine if attached to 1 of the 3 USB ports, and reproduceably causes the crash when attached to on of the others.

Comment 9 Benjamin Masse 2014-11-13 16:17:51 UTC
Description of problem:
Launched and cleanly exited from TeamViewer

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.17.2-200.fc20.x86_64 root=/dev/mapper/fedora_bmasse-root ro rd.lvm.lv=fedora_bmasse/root rd.luks.uuid=luks-3da5eea2-3176-44cc-a834-177834a0a88d vconsole.font=Lat2-Terminus16 rd.lvm.lv=fedora_bmasse/swap rhgb quiet LANG=fr_FR.utf8
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 4681 at drivers/media/v4l2-core/videobuf2-core.c:2144 __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]()
Modules linked in: rfcomm fuse ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec x86_pkg_temp_thermal arc4 uvcvideo snd_hwdep videobuf2_vmalloc videobuf2_memops videobuf2_core iwldvm v4l2_common mac80211 videodev snd_seq uas coretemp media snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support kvm_intel kvm btusb joydev serio_raw bluetooth sdhci_pci sdhci thinkpad_acpi snd_timer iwlwifi cfg80211 e1000e i2c_i801 mmc_core mei_me mei lpc_ich snd tpm_tis ptp shpchp pps_core wmi soundcore rfkill tpm mfd_core nfsd auth_rpcgss nfs_acl lockd sunrpc dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit ghash_clmulni_intel drm_kms_helper drm usb_storage video
CPU: 1 PID: 4681 Comm: TeamViewer.exe Not tainted 3.17.2-200.fc20.x86_64 #1
Hardware name: LENOVO 2356BH1/2356BH1, BIOS G7ETA0WW (2.60 ) 05/14/2014
 0000000000000000 0000000053262683 ffff88004dacfa18 ffffffff817271cc
 0000000000000000 ffff88004dacfa50 ffffffff81094ced 0000000000000000
 ffff8800aaacaaf0 0000000000000000 ffff8800aaaca8d8 ffff8800aa0f4880
Call Trace:
 [<ffffffff817271cc>] dump_stack+0x45/0x56
 [<ffffffff81094ced>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81094e1a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa060c74e>] __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]
 [<ffffffffa060df8d>] vb2_internal_streamoff+0x3d/0xd0 [videobuf2_core]
 [<ffffffffa060e055>] vb2_streamoff+0x35/0x60 [videobuf2_core]
 [<ffffffffa06733f5>] uvc_queue_enable+0x65/0xa0 [uvcvideo]
 [<ffffffffa067831a>] uvc_video_enable+0x4a/0x1b0 [uvcvideo]
 [<ffffffffa0674c68>] uvc_v4l2_do_ioctl+0x8a8/0x1620 [uvcvideo]
 [<ffffffff810bc998>] ? check_preempt_curr+0x78/0xa0
 [<ffffffff810c44c8>] ? __enqueue_entity+0x78/0x80
 [<ffffffffa04d1fde>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa06743c0>] ? uvc_v4l2_open+0x150/0x150 [uvcvideo]
 [<ffffffff810c8f6a>] ? dequeue_entity+0x11a/0x550
 [<ffffffffa067379f>] uvc_v4l2_ioctl+0x2f/0x70 [uvcvideo]
 [<ffffffffa04cb71b>] v4l2_ioctl+0x11b/0x150 [videodev]
 [<ffffffffa04dc56a>] do_video_ioctl+0x26a/0x14c0 [videodev]
 [<ffffffff810f4142>] ? current_fs_time+0x12/0x60
 [<ffffffff8121c121>] ? touch_atime+0x91/0x160
 [<ffffffff81209fe6>] ? pipe_read+0x286/0x2f0
 [<ffffffff81303037>] ? inode_has_perm.isra.32+0x27/0x30
 [<ffffffff81303196>] ? file_has_perm+0xa6/0xb0
 [<ffffffffa04dd832>] v4l2_compat_ioctl32+0x72/0xb0 [videodev]
 [<ffffffff81253240>] compat_SyS_ioctl+0xf0/0x11e0
 [<ffffffff810a006b>] ? recalc_sigpending+0x1b/0x50
 [<ffffffff810a0a91>] ? __set_task_blocked+0x41/0xa0
 [<ffffffff810a3516>] ? __set_current_blocked+0x36/0x60
 [<ffffffff81730f4c>] sysenter_dispatch+0x7/0x21

Comment 10 Fedora Kernel Team 2015-02-24 16:21:56 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 11 gsv000 2015-04-08 23:28:48 UTC
Description of problem:
after recent kernel update a crash every few hours. System previously very stable.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.3
cmdline:        BOOT_IMAGE=/vmlinuz-3.19.3-100.fc20.x86_64 root=/dev/mapper/vg_akmh-root00 ro vconsole.font=latarcyrheb-sun16 rd.lvm.lv=vg_akmh/root00 rd.dm.uuid=pdc_chjdeaifdg rd.lvm.lv=vg_akmh/swap rhgb quiet LANG=en_US.UTF-8
kernel:         3.19.3-100.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 929 at drivers/media/v4l2-core/videobuf2-core.c:2139 __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]()
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep ppdev snd_usb_audio snd_via82xx snd_via82xx_modem snd_ac97_codec snd_usbmidi_lib snd_hwdep ac97_bus snd_seq powernow_k8 raid456 async_raid6_recov async_memcpy serio_raw async_pq async_xor xor async_tx raid6_pq snd_pcm amd64_edac_mod k8temp pwc edac_core videobuf2_vmalloc videobuf2_core edac_mce_amd videobuf2_memops snd_timer i2c_viapro v4l2_common videodev btusb media bluetooth rfkill snd_mpu401_uart snd_rawmidi snd_seq_device shpchp snd ns558 soundcore gameport parport_pc parport nfsd auth_rpcgss nfs_acl lockd grace sunrpc ata_generic pata_acpi nouveau video mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm sata_sil24 drm pata_via sata_via firewire_ohci skge sata_promise firewire_core crc_itu_t
CPU: 0 PID: 929 Comm: motion Not tainted 3.19.3-100.fc20.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./A8V Deluxe, BIOS 1018.002 08/16/2007
 0000000000000000 00000000bc94ec27 ffff88013a75bba8 ffffffff8175affa
 0000000000000000 0000000000000000 ffff88013a75bbe8 ffffffff8109ad5a
 ffff8800ba000710 0000000000000000 0000000000000001 0000000000000000
Call Trace:
 [<ffffffff8175affa>] dump_stack+0x45/0x57
 [<ffffffff8109ad5a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109ae8a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa04376be>] __vb2_queue_cancel+0x11e/0x180 [videobuf2_core]
 [<ffffffffa0438c35>] vb2_internal_streamoff+0x35/0xc0 [videobuf2_core]
 [<ffffffffa0438ced>] vb2_streamoff+0x2d/0x50 [videobuf2_core]
 [<ffffffffa0438d58>] vb2_ioctl_streamoff+0x48/0x50 [videobuf2_core]
 [<ffffffffa049ea6a>] v4l_streamoff+0x1a/0x20 [videodev]
 [<ffffffffa04a1734>] __video_do_ioctl+0x2a4/0x320 [videodev]
 [<ffffffffa04a411e>] video_usercopy+0x22e/0x5b0 [videodev]
 [<ffffffffa04a1490>] ? v4l_querycap+0x80/0x80 [videodev]
 [<ffffffff81251287>] ? fsnotify+0x327/0x4d0
 [<ffffffff81251287>] ? fsnotify+0x327/0x4d0
 [<ffffffffa04a44b5>] video_ioctl2+0x15/0x20 [videodev]
 [<ffffffffa049d733>] v4l2_ioctl+0x113/0x150 [videodev]
 [<ffffffff81225448>] do_vfs_ioctl+0x2f8/0x4f0
 [<ffffffff812140c5>] ? __sb_end_write+0x35/0x70
 [<ffffffff8113b234>] ? __audit_syscall_entry+0xb4/0x110
 [<ffffffff81022cbc>] ? do_audit_syscall_entry+0x6c/0x70
 [<ffffffff812256c1>] SyS_ioctl+0x81/0xa0
 [<ffffffff8113b486>] ? __audit_syscall_exit+0x1f6/0x2a0
 [<ffffffff81762389>] system_call_fastpath+0x12/0x17

Comment 12 Fedora End Of Life 2015-05-29 12:26:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:41:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.